org.keycloak.representations.idm

## Class PasswordPolicyTypeRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.PasswordPolicyTypeRepresentation

-     public class PasswordPolicyTypeRepresentation
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordPolicyTypeRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigType()`
    `String` | `getDefaultValue()`
    `String` | `getDisplayName()`
    `String` | `getId()`
    `boolean` | `isMultipleSupported()`
    `void` | `setConfigType(String configType)`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setId(String id)`
    `void` | `setMultipleSupported(boolean multipleSupported)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordPolicyTypeRepresentation

          public PasswordPolicyTypeRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getConfigType

          public String getConfigType()

    - #### setConfigType

          public void setConfigType(String configType)

    - #### getDefaultValue

          public String getDefaultValue()

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)

    - #### isMultipleSupported

          public boolean isMultipleSupported()

    - #### setMultipleSupported

          public void setMultipleSupported(boolean multipleSupported)

Copyright © 2021 JBoss by Red Hat. All rights reserved.